package cn.hmsoft.hmplatform.project.data.model;

import java.io.Serializable;
import java.time.LocalDate;
import cn.hmsoft.jdbc.entity.Table;

@Table(tableName = "P_PROJECT", keyColumn =  "PROJECT_ID" , sequenceName = "PROJECT_ID")
public class PProject implements Serializable {

	private static final long serialVersionUID = -4001944383195054153L;
	private Integer project_id;
	private String project_name;
	private Integer school_id;
	private Integer year;
	private LocalDate start_date;
	private LocalDate end_date;
	private String manager;
	private String project_desc;
	private String project_status;
	
	public Integer getProject_id() {
		return project_id;
	}
	public String getProject_name() {
		return project_name;
	}
	public Integer getSchool_id() {
		return school_id;
	}
	public Integer getYear() {
		return year;
	}
	public LocalDate getStart_date() {
		return start_date;
	}
	public LocalDate getEnd_date() {
		return end_date;
	}
	public String getManager() {
		return manager;
	}
	public void setProject_id(Integer project_id) {
		this.project_id = project_id;
	}
	public void setProject_name(String project_name) {
		this.project_name = project_name;
	}
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}
	public void setYear(Integer year) {
		this.year = year;
	}
	public void setStart_date(LocalDate start_date) {
		this.start_date = start_date;
	}
	public void setEnd_date(LocalDate end_date) {
		this.end_date = end_date;
	}
	public void setManager(String manager) {
		this.manager = manager;
	}
	public String getProject_desc() {
		return project_desc;
	}
	public String getProject_status() {
		return project_status;
	}
	public void setProject_desc(String project_desc) {
		this.project_desc = project_desc;
	}
	public void setProject_status(String project_status) {
		this.project_status = project_status;
	}

}
